- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Signals | Public Member Functions | Protected Member Functions | Properties

# QShortcut Class Reference

Search for all occurrences

## Detailed Description

Definition at line 57 of file qshortcut.h.

`#include <qshortcut.h>`

Inheritance diagram for QShortcut:
[legend]

List of all members.

## Signals
void | activated ()
void | activatedAmbiguously ()
## Public Member Functions
| QShortcut (QWidget *parent)
| QShortcut (const QKeySequence &key, QWidget *parent, const char *member=0, const char *ambiguousMember=0, Qt::ShortcutContext context=Qt::WindowShortcut)
| ~QShortcut ()
void | setKey (const QKeySequence &key)
QKeySequence | key () const
void | setEnabled (bool enable)
bool | isEnabled () const
void | setContext (Qt::ShortcutContext context)
Qt::ShortcutContext | context ()
void | setWhatsThis (const QString &text)
QString | whatsThis () const
void | setAutoRepeat (bool on)
bool | autoRepeat () const
int | id () const
QWidget * | parentWidget () const
## Protected Member Functions
bool | event (QEvent *e)
## Properties
QKeySequence | key
QString | whatsThis
bool | enabled
bool | autoRepeat
Qt::ShortcutContext | context

## Constructor & Destructor Documentation

QShortcut | ( | QWidget * | parent | ) | `[explicit]`

QShortcut | ( | const QKeySequence & | key,
|  | QWidget * | parent,
|  | const char * | member = `0`,
|  | const char * | ambiguousMember = `0`,
|  | Qt::ShortcutContext | context = `Qt::WindowShortcut`
| ) |  |

~QShortcut | ( |  | ) |

## Member Function Documentation

void setKey | ( | const QKeySequence & | key | ) |

Search for all occurrences

QKeySequence key | ( |  | ) | const

Search for all occurrences

void setEnabled | ( | bool | enable | ) |

Search for all occurrences

bool isEnabled | ( |  | ) | const

Search for all occurrences

void setContext | ( | Qt::ShortcutContext | context | ) |

Search for all occurrences

Qt::ShortcutContext context | ( |  | ) |

Search for all occurrences

void setWhatsThis | ( | const QString & | text | ) |

Search for all occurrences

QString whatsThis | ( |  | ) | const

Search for all occurrences

void setAutoRepeat | ( | bool | on | ) |

Search for all occurrences

bool autoRepeat | ( |  | ) | const

Search for all occurrences

int id | ( |  | ) | const

Search for all occurrences

QWidget* parentWidget | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 90 of file qshortcut.h.

        { return static_cast<QWidget *>(QObject::parent()); }

void activated | ( |  | ) | `[signal]`

Search for all occurrences

void activatedAmbiguously | ( |  | ) | `[signal]`

Search for all occurrences

bool event | ( | QEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

## Property Documentation

QKeySequence key `[read, write]`

Search for all occurrences

Definition at line 61 of file qshortcut.h.

QString whatsThis `[read, write]`

Search for all occurrences

Definition at line 62 of file qshortcut.h.

bool enabled `[read, write]`

Search for all occurrences

Definition at line 63 of file qshortcut.h.

bool autoRepeat `[read, write]`

Search for all occurrences

Definition at line 64 of file qshortcut.h.

Qt::ShortcutContext context `[read, write]`

Search for all occurrences

Definition at line 65 of file qshortcut.h.

The documentation for this class was generated from the following file:

- QtGui/qshortcut.h

QShortcut QShortcut QShortcut QShortcut QShortcut QShortcut QShortcut QShortcut QShortcut QShortcut
QShortcut QShortcut QShortcut QShortcut QShortcut QShortcut QShortcut QShortcut QShortcut QShortcut